#include <iostream>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	int a,a1,b,b1,c,c1,cifrea=0,cifreb=0,cifrec=0;
	cin>>a>>b>>c;
	a1=a;
	b1=b;
	c1=c;
	while (a>0){
		a=a/10; 
		cifrea++;
	}
	while (b>0){
		b=b/10; 
		cifreb++;
	}
	while (c>0){
		c=c/10; 
		cifrec++;
	}
	int nv=a1*(10^(cifreb+cifrec))+b1*(10^cifrec)+c1;
	int x1=a1*(10^(cifreb+cifrec))+c1*(10^cifreb)+b1;
	int x2=b1*(10^(cifrea+cifrec))+a1*(10^cifrec)+c1;
	int x3=b1*(10^(cifrea+cifrec))+c1*(10^cifrea)+a1;
	int x4=c1*(10^(cifrea+cifreb))+a1*(10^cifreb)+b1;
	int x5=c1*(10^(cifrea+cifreb))+b1*(10^cifrea)+a1;
	if  (nv<x1) nv=x1;
	if  (nv<x2) nv=x2;
	if  (nv<x3) nv=x3;
	if  (nv<x4) nv=x4;
	if  (nv<x5) nv=x5;
	cout<<nv<<endl;
	return 0;
}